Page MenuHomePhabricator

Surface disambiguation page flag in response
Closed, ResolvedPublic

Description

RelatedArticles should not render on disambiguation pages
The property should be surfaced in the response. It can be obtained from:

https://en.wikipedia.org/wiki/Special:ApiSandbox#action=query&format=json&prop=pageprops&meta=&titles=Charles_Jones_(disambiguation)&redirects=1&ppcontinue=&pageproperty=disambiguation

(Edit: the request is changed to use pageproperty instead of ppprop. See T171065#3455913 for detail.)

Details

Related Gerrit Patches:
mediawiki/services/mobileapps : masterExpose disambiguation flag on pages

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 21 2016, 8:37 PM

Note this is being done in the new summary service. T169761: Review Summary 2.0 Spec

Jdlrobson updated the task description. (Show Details)
Jdlrobson triaged this task as Medium priority.Jul 13 2017, 7:01 PM

Change 366587 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/services/mobileapps@master] Expose disambiguation flag on pages

https://gerrit.wikimedia.org/r/366587

Change 366587 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] Expose disambiguation flag on pages

https://gerrit.wikimedia.org/r/366587

bearND assigned this task to Jdlrobson.Jul 20 2017, 6:20 PM
bearND updated the task description. (Show Details)
bearND closed this task as Resolved.Jul 24 2017, 10:13 PM
bearND added a subscriber: bearND.

deploy/2017-07-24/2b4ca3b2